package com.logicbig.example;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import java.math.BigDecimal;

@XmlRootElement
public class Item {
    @XmlAttribute
    private String sku;
    private String name;
    private BigDecimal price;


    public Item() {
    }

    public Item(String sku) {
        this.sku = sku;
    }

    public String getSku() {
        return sku;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        Item item = (Item) o;

        return sku.equals(item.sku);

    }

    @Override
    public int hashCode() {
        return sku.hashCode();
    }

    @Override
    public String toString() {
        return "Item{" +
                  "sku='" + sku + '\'' +
                  ", name='" + name + '\'' +
                  ", price=" + price +
                  '}';
    }
}